package com.memorynotfound.file;

import com.google.common.io.Files;
import org.junit.Test;
import java.io.File;
import java.util.stream.StreamSupport;
import static org.junit.Assert.assertEquals;

public class CalculateDirectorySizeGoogleGuavaTest {

    @Test
    public void testGetFolderSize_Google_Guava() {
        long expectedSize = 76;
        File folder = new File("src/test/resources");

        Iterable<File> files = Files.fileTreeTraverser()
                .breadthFirstTraversal(folder);

        long size = StreamSupport.stream(files.spliterator(), false)
                .filter(File::isFile)
                .mapToLong(File::length).sum();

        assertEquals(expectedSize, size);
    }
}
