package com.memorynotfound.file;

import org.junit.Test;
import java.io.IOException;
import java.nio.file.*;
import java.nio.file.attribute.BasicFileAttributes;
import java.util.concurrent.atomic.AtomicLong;
import static org.junit.Assert.assertEquals;

public class CalculateDirectorySizeJava7Test {

    @Test
    public void testGetFolderSize_Java7() throws IOException {
        long expectedSize = 76;

        AtomicLong size = new AtomicLong(0);
        Path folder = Paths.get("src/test/resources");

        Files.walkFileTree(folder, new SimpleFileVisitor<Path>() {
            @Override
            public FileVisitResult visitFile(Path file, BasicFileAttributes attrs)
                    throws IOException {
                size.addAndGet(attrs.size());
                return FileVisitResult.CONTINUE;
            }
        });

        assertEquals(expectedSize, size.longValue());
    }

}
