package com.memorynotfound.file;

import org.junit.Test;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import static org.junit.Assert.assertEquals;

public class CalculateDirectorySizeJava8Test {

    @Test
    public void testGetFolderSize_Java8() throws IOException {
        long expectedSize = 76;

        Path folder = Paths.get("src/test/resources");
        long size = Files.walk(folder)
                .filter(p -> p.toFile().isFile())
                .mapToLong(p -> p.toFile().length())
                .sum();

        assertEquals(expectedSize, size);
    }

}
