package com.memorynotfound.file;

import org.junit.Test;
import java.io.File;
import java.io.IOException;
import static org.junit.Assert.assertEquals;

public class CalculateDirectorySizeJavaTest {

    @Test
    public void testGetFolderSize_Java() throws IOException {
        long expectedSize = 76;

        File folder = new File("src/test/resources");
        long size = getFolderSize(folder);

        assertEquals(expectedSize, size);
    }

    private long getFolderSize(File folder) {
        long length = 0;
        File[] files = folder.listFiles();

        if (files == null || files.length == 0){
            return length;
        }

        for (File file : files) {
            if (file.isFile()) {
                length += file.length();
            } else {
                length += getFolderSize(file);
            }
        }

        return length;
    }

}
